{{- if .Values.openshift.enabled }}
apiVersion: route.openshift.io/v1
kind: Route
metadata:
  {{- if .Values.route.annotations }}
  annotations:
{{ toYaml .Values.route.annotations | indent 4 }}
  {{- end }}
  labels:
    app: {{ .Values.appName }}
  name: {{ .Values.appName }}-route
spec:
  host: {{ .Values.route.host }}
  port:
    targetPort: 3000-tcp
  tls:
    insecureEdgeTerminationPolicy: Redirect
    termination: edge
  to:
    kind: Service
    name: {{ .Values.appName }}
    weight: 100
  wildcardPolicy: None
status:
  ingress: []
{{- end }}
